<?php 
/* this highlight comment function is based on Lucid Options [http://www.mattread.com/gravelbox/lucid/] */
function highlight_comment ()
{
	global $comment, $user_email, $comment_author_email, $posts;
	$authordata = get_userdata($posts[0]->post_author);
	get_currentuserinfo();

	if ( ($comment->comment_author_email) AND (get_comment_type() == 'comment') )
	{
		if ( $comment->comment_author_email == $authordata->user_email ) //highlight author
			echo 'class="author-comment"';

		elseif ( $comment->comment_author_email == $user_email ) //highlight user if not author
			echo 'class="user-comment"';

		elseif ( $comment->comment_author_email == $comment_author_email ) //highlight commenter if not user
			echo 'class="user-comment"';
	}

	if (get_comment_type() != 'comment')
		echo 'class="ping-comment"';
	if (get_comment_type() == 'comment')
		echo 'class="user-comment"';
}


/* this quote comment function is based on Viper007Bond [http://www.viper007bond.com/wordpress-plugins/quote-comment/] */
function quote_comment($text = 'Q', $aftername = ' said', $displaywhen = TRUE, $beforedate = ' on ', $beforetime = ' at ', $commentformanchor = 'commentform', $commentareaid = 'comment') {
	global $comment;

	// Make sure $comment is set, i.e. we're within the comment loop
	if (!isset($comment)) {
		echo 'The quote comment function must be used within the comment loop!';
		return;
	}

	// Strip off the # in front of the anchor if it's inputted
	if (substr($commentformanchor, 0, 1) == '#') $commentformanchor = substr($commentformanchor, 1);

	// Create the byline for the quoted comment
	$byline = $comment->comment_author;
	if ($displaywhen) $byline .= $beforedate . get_comment_date() . $beforetime . get_comment_time();
	$byline .= $aftername;

	// If "WordPress should correct invalidly nested XHTML automatically" is on, we need to strip nested blockquotes to make the quote turn up right
	// This is due to a bug that doesn't allow nested blockquotes as described here: http://trac.wordpress.org/ticket/1170
	// This bit of code isn't perfect though as it'll strip all blockquotes including those inside of <code> and such tags, but oh well, it's good enough
	// Oh, and I'm assuming this auto-correction bug will be fixed in version 1.6, so hence version test
	if (get_option('use_balanceTags') == '1' && get_bloginfo('version') <= '1.6') {
		$commentcontent = $comment->comment_content;
		while (strpos($commentcontent, '<blockquote>') !== FALSE) {
			$startpos = strpos($commentcontent, '<blockquote>');
			$endpos = strpos($commentcontent, '</blockquote>');
			$commentcontent = substr_replace($commentcontent, ' [blockquote removed] ', $startpos, $endpos-$startpos+13); // 13 = strlen('</blockquote>');
		}
	} else {
		$commentcontent = $comment->comment_content;
	}
	
	// Output the quote/reply link
	echo "<a href='#" . $commentformanchor . "' title='Quote this comment and reply to it' onclick=\"document.getElementById('" . $commentareaid . "').value += '&lt;blockquote&gt;" . htmlspecialchars(str_replace(array("\r\n", "\n"), array("\n", "\\n"), '<a href="#comment-' . $comment->comment_ID . '" title="View the original comment">' . $byline . ':</a>\n\n' . $commentcontent), ENT_QUOTES) . '&lt;/blockquote&gt;\n\'">' . $text . "</a>";
}


/* this last modified function is based on Nick Momrik [http://mtdewvirus.com/code/wordpress-plugins/], [http://dev.wp-plugins.org/browser/last-modified/]*/
	function last_modified($format='') {
	global $wpdb, $id;

	$post_mod_date = $wpdb->get_var("SELECT post_modified FROM $wpdb->posts WHERE id = $id");

	if (empty($format))
		$format = get_settings('date_format') . ' @ ' . get_settings('time_format');

	echo mysql2date($format, $post_mod_date);
}


/* this statistics function is based on Statistics Plugin For WordPress [http://www.lesterchan.net/] */
### Function: Get Total Posts
function get_totalposts() {
	global $wpdb;
	$totalposts = $wpdb->get_var("SELECT COUNT(ID) FROM $wpdb->posts WHERE post_status = 'publish'");
	echo $totalposts;
}

### Function: Get Total Comments
function get_totalcomments() {
	global $wpdb;
	$totalcomments = $wpdb->get_var("SELECT COUNT(comment_ID) FROM $wpdb->comments WHERE comment_approved = '1'");
	echo $totalcomments;
}

### Function: Get Total Comments Poster
function get_totalcommentposters() {
	global $wpdb;
	$totalcommentposters = $wpdb->get_var("SELECT COUNT(DISTINCT comment_author) FROM $wpdb->comments WHERE comment_approved = '1'");
	echo $totalcommentposters;
}


/* this recent commented function is based on Zap Recent Commented [http://www.zappelfillip.de/index.php/2005-12-19/zap_recent_commented-wordpress-plugin/] */
function zap_recent_commented() {

	// number of shown posts
	$show_commented = 10;

	// the word "today" in your language
	$today = "Today";

	// the word "yesterday" in your language
	$yesterday = "Yesterday";
	
	// Show pingbacks and trackbacks, too? default: no
	$show_pingtrack = false;

//--------------------------------------------------------------------------------------------------------------

	global $wpdb,$tablecomments,$tableposts;
	$commented = array();
	$jetzt = time();
	
	if($show_pingtrack) $kommentartyp = "";
	else $kommentartyp = "AND comment_type = '' ";
	
	$query = "SELECT $tableposts.*, $tablecomments.* FROM $tableposts JOIN $tablecomments WHERE $tableposts.ID=$tablecomments.comment_post_ID AND (post_status = 'publish' OR post_status = 'static') AND comment_approved= '1' AND  post_password = '' " . $kommentartyp . "ORDER BY comment_date DESC";
	$results = $wpdb->get_results($query);

	foreach ($results as $result) {
		$einfuegen = true;
		foreach ($commented as $comm) {
			if ($comm->ID == $result->ID) $einfuegen = false;
		}
		if($einfuegen) array_push($commented, $result);
		if(count($commented) == $show_commented) break;
	}

	foreach ($commented as $comm) {
		$post_link = get_permalink($comm->comment_post_ID);
		$comment_link = $post_link . "#comment-$comm->comment_ID";
		$comment_date = mysql2date(get_settings('date_format'),$comm->comment_date);
		$comment_time = mysql2date(get_settings('time_format'),$comm->comment_date);
		
		if(mysql2date('d.m.',$comm->comment_date) == date('d.m.',$jetzt))
			$zeit = $today.", ".$comment_time;
		else if (mysql2date('d.m.',$comm->comment_date) == date('d.m.',$jetzt-(24*60*60)))
			$zeit = $yesterday.", ".$comment_time;
		else
			$zeit = $comment_date.", ".$comment_time;

		echo '	<li><a href="'.$comment_link.'" title="'.$zeit.'">"'.$comm->post_title.'"</a> - '.$comm->comment_author.'</li>
';
	}

}
?>
